<div dir="ltr"><div>I have reproduced this just now. You need to set up a special &#39;nodistro&#39; configuration like this:</div><div><br></div><div>bblayers.conf:</div><div>BBLAYERS ?= &quot; \<br>  /home/alexander/development/poky/meta \<br></div><div>&quot;</div><div>(and no other layers)</div><div><br></div><div>local.conf:</div><div><br></div><div>MACHINE ??= &quot;qemuarm&quot;<br>DISTRO ?= &quot;nodistro&quot;<br></div><div>INHERIT += &#39;uninative&#39;<br>require conf/distro/include/yocto-uninative.inc</div><div>... (dl_dir, sstate etc)<br></div><div><br></div><div>and build gstreamer1.0-plugins-base.</div><div><br></div><div>Alex<br></div><div><br></div></div><br><div class="gmail_quote"><div dir="ltr" class="gmail_attr">On Mon, 13 Jan 2020 at 16:38, Carlos Rafael Giani &lt;<a href="mailto:crg7475@mailbox.org">crg7475@mailbox.org</a>&gt; wrote:<br></div><blockquote class="gmail_quote" style="margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">Except that there is no such package. Also, even if I build GStreamer <br>
from scratch with all optional packageconfigs disabled, I do not get <br>
this error, nor do I get any warnings about potentially missing <br>
dependencies. So, I don&#39;t know what is going on here..<br>
<br>
On 13.01.20 13:59, Richard Purdie wrote:<br>
&gt; On Mon, 2020-01-13 at 13:55 +0100, Carlos Rafael Giani wrote:<br>
&gt;&gt; Nope. This is an odd one. Are you sure there isn&#39;t a problem with<br>
&gt;&gt; the<br>
&gt;&gt; setup itself? In step2c, I see:<br>
&gt;&gt;<br>
&gt;&gt;   &gt; ERROR: core-image-sato-1.0-r0 do_testsdk: The toolchain<br>
&gt;&gt; /home/pokybuild/yocto-worker/qemuarm-oecore/build/build/tmp-<br>
&gt;&gt; glibc/deploy/sdk/oecore-i686-armv7vet2hf-neon-toolchain-<br>
&gt;&gt; <a href="http://nodistro.0.sh" rel="noreferrer" target="_blank">nodistro.0.sh</a><br>
&gt;&gt; is not built. Build it before running the tests: &#39;bitbake &lt;image&gt; -c<br>
&gt;&gt; populate_sdk&#39; .<br>
&gt; 2c fails as earlier stepd didn&#39;t build. I think the real issue is<br>
&gt; step1b which says:<br>
&gt;<br>
&gt; | Compiler for C supports arguments -Wdeclaration-after-statement: YES<br>
&gt; | Found pkg-config: /home/pokybuild/yocto-worker/qemuarm-oecore/build/build/tmp-glibc/work/armv7vet2hf-neon-oe-linux-gnueabi/gstreamer1.0-plugins-base/1.16.1-r0/recipe-sysroot-native/usr/bin/pkg-config (0.29.2)<br>
&gt; | Run-time dependency x11 found: YES 1.6.9<br>
&gt; | Run-time dependency glib-2.0 found: YES 2.62.4<br>
&gt; | Run-time dependency gobject-2.0 found: YES 2.62.4<br>
&gt; | Run-time dependency gio-2.0 found: YES 2.62.4<br>
&gt; | Run-time dependency gio-unix-2.0 found: YES 2.62.4<br>
&gt; | Run-time dependency gmodule-no-export-2.0 found: YES 2.62.4<br>
&gt; | Dependency gdk-pixbuf-2.0 skipped: feature examples disabled<br>
&gt; | Dependency gtk+-3.0 skipped: feature examples disabled<br>
&gt; | Dependency gtk+-x11-3.0 skipped: feature examples disabled<br>
&gt; | Run-time dependency gstreamer-1.0 found: YES 1.16.1<br>
&gt; | Run-time dependency gstreamer-base-1.0 found: YES 1.16.1<br>
&gt; | Run-time dependency gstreamer-net-1.0 found: YES 1.16.1<br>
&gt; | Found CMake: NO<br>
&gt; | Run-time dependency gstreamer-check-1.0 found: NO (tried pkgconfig and cmake)<br>
&gt; | Looking for a fallback subproject for the dependency gstreamer-check-1.0<br>
&gt; | Subproject directory not found and gstreamer.wrap file not found<br>
&gt; | Subproject  subprojects/gstreamer is buildable: NO (disabling)<br>
&gt; | Dependency gstreamer-check-1.0 from subproject subprojects/gstreamer found: NO<br>
&gt; |<br>
&gt; | meson.build:309:0: ERROR: Could not find dependency gst_controller_dep in subproject gstreamer<br>
&gt; |<br>
&gt; | A full log can be found at /home/pokybuild/yocto-worker/qemuarm-oecore/build/build/tmp-glibc/work/armv7vet2hf-neon-oe-linux-gnueabi/gstreamer1.0-plugins-base/1.16.1-r0/build/meson-logs/meson-log.txt<br>
&gt; | WARNING: /home/pokybuild/yocto-worker/qemuarm-oecore/build/build/tmp-glibc/work/armv7vet2hf-neon-oe-linux-gnueabi/gstreamer1.0-plugins-base/1.16.1-r0/temp/run.do_configure.46093:1 exit 1 from &#39;exit 1&#39;<br>
&gt; |<br>
&gt; NOTE: recipe gstreamer1.0-plugins-base-1.16.1-r0: task do_configure: Failed<br>
&gt;<br>
&gt; | Compiler for C supports arguments -Wdeclaration-after-statement: YES<br>
&gt; | Found pkg-config: /home/pokybuild/yocto-worker/qemuarm-oecore/build/build/tmp-glibc/work/armv7vet2hf-neon-oe-linux-gnueabi/gstreamer1.0-plugins-base/1.16.1-r0/recipe-sysroot-native/usr/bin/pkg-config (0.29.2)<br>
&gt; | Run-time dependency x11 found: YES 1.6.9<br>
&gt; | Run-time dependency glib-2.0 found: YES 2.62.4<br>
&gt; | Run-time dependency gobject-2.0 found: YES 2.62.4<br>
&gt; | Run-time dependency gio-2.0 found: YES 2.62.4<br>
&gt; | Run-time dependency gio-unix-2.0 found: YES 2.62.4<br>
&gt; | Run-time dependency gmodule-no-export-2.0 found: YES 2.62.4<br>
&gt; | Dependency gdk-pixbuf-2.0 skipped: feature examples disabled<br>
&gt; | Dependency gtk+-3.0 skipped: feature examples disabled<br>
&gt; | Dependency gtk+-x11-3.0 skipped: feature examples disabled<br>
&gt; | Run-time dependency gstreamer-1.0 found: YES 1.16.1<br>
&gt; | Run-time dependency gstreamer-base-1.0 found: YES 1.16.1<br>
&gt; | Run-time dependency gstreamer-net-1.0 found: YES 1.16.1<br>
&gt; | Found CMake: NO<br>
&gt; | Run-time dependency gstreamer-check-1.0 found: NO (tried pkgconfig and cmake)<br>
&gt; | Looking for a fallback subproject for the dependency gstreamer-check-1.0<br>
&gt; | Subproject directory not found and gstreamer.wrap file not found<br>
&gt; | Subproject  subprojects/gstreamer is buildable: NO (disabling)<br>
&gt; | Dependency gstreamer-check-1.0 from subproject subprojects/gstreamer found: NO<br>
&gt; |<br>
&gt; | meson.build:309:0: ERROR: Could not find dependency gst_controller_dep in subproject gstreamer<br>
&gt; |<br>
&gt; | A full log can be found at /home/pokybuild/yocto-worker/qemuarm-oecore/build/build/tmp-glibc/work/armv7vet2hf-neon-oe-linux-gnueabi/gstreamer1.0-plugins-base/1.16.1-r0/build/meson-logs/meson-log.txt<br>
&gt; | WARNING: /home/pokybuild/yocto-worker/qemuarm-oecore/build/build/tmp-glibc/work/armv7vet2hf-neon-oe-linux-gnueabi/gstreamer1.0-plugins-base/1.16.1-r0/temp/run.do_configure.46093:1 exit 1 from &#39;exit 1&#39;<br>
&gt; |<br>
&gt; NOTE: recipe gstreamer1.0-plugins-base-1.16.1-r0: task do_configure: Failed<br>
&gt;<br>
&gt; missing a check dependency?<br>
&gt;<br>
&gt; Cheers,<br>
&gt;<br>
&gt; Richard<br>
&gt;<br>
&gt;<br>
-- <br>
_______________________________________________<br>
Openembedded-core mailing list<br>
<a href="mailto:Openembedded-core@lists.openembedded.org" target="_blank">Openembedded-core@lists.openembedded.org</a><br>
<a href="http://lists.openembedded.org/mailman/listinfo/openembedded-core" rel="noreferrer" target="_blank">http://lists.openembedded.org/mailman/listinfo/openembedded-core</a><br>
</blockquote></div>